Page MenuHomePhabricator

migrate MedaWiki from using BiDirectional characters by properly embedding any item using directionality syntax
Closed, ResolvedPublic

Description

Author: gangleri

Description:
Hi! It is long time ago since Nikerabbit installed Goylem a RTL testwiki. At that time I suggested the usage of BiDirectional characters to stabilize the common look and feel of pages as recent changes, etc.

It should be possible to obtain the same result by properly embed all objects and the delimiters (spaces or whatsoever) with directionality syntax.

An example is available at bug 36803#0
and http://en.wikipedia.org/?oldid=492307285#bugzilla ,


Version: unspecified
Severity: enhancement

Details

Reference
bz36804

Event Timeline

bzimport raised the priority of this task from to Low.Nov 22 2014, 12:21 AM
bzimport added a project: MediaWiki-General.
bzimport set Reference to bz36804.
bzimport added a subscriber: Unknown Object (MLST).
bzimport created this task.May 13 2012, 5:26 AM

I definitely have plans to introduce fine-grained control of directionality, maybe in the Visual Editor age and maybe even earlier (see https://www.mediawiki.org/wiki/Visual_editor/Bidirectional_text_requirements ). But I'm not sure that I understand what are you referring to.

<span dir="rtl/ltr"> doesn't solve everything in a heavily mixed-directionality environment. For example, a title in an RTL wiki can be LTR. <bdi> would be more comprehensive than span, but the support for it is not yet completely stable, neither in the browsers nor in MediaWiki (see bug 31817).

Restricted Application added a project: I18n. · View Herald TranscriptJun 2 2015, 2:20 PM
Ebraminio moved this task from Backlog to Other on the RTL board.Aug 9 2015, 11:51 AM
Restricted Application added a subscriber: Aklapper. · View Herald TranscriptAug 9 2015, 11:51 AM
Amire80 closed this task as Resolved.Aug 30 2015, 7:34 AM
Amire80 claimed this task.
Amire80 added subscribers: Mooeypoo, Amire80.

I'll allow myself to close it.

In essence, VisualEditor now allows to edit template parameters comfortably separately from the rest of the text, and also includes a lang/dir setting (both made mostly by @Mooeypoo; thanks!)

Some articles might still be using bidirectional control characters (probably not much in the English Wikipedia, but quite a lot in the Hebrew Wikipedia), but that's a matter for editors and not developers.